<? $this->headScript()->appendFile(_st('overlay.js'), 'text/javascript') ?>
<? $this->headScript()->appendFile(_st('comments.js'), 'text/javascript'); ?>

<? $seo = $this->seo('latest-comments', 0); ?>

<?= $this->render('private-v2/logged-in-user-info.phtml') ?>

<div id="comments_container">
	<div class="page-title">
		<h1 class="an"><?= __('lc_latest_comments') ?></h1>
	</div>
	<? if (count($this->comments) > 0): ?>
		<? foreach ($this->comments as $comment): ?>
		    <div class="latestComments" >
				<div class="latestCommentsItem">
					<div class="fl">
						<a href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>">
							<img src="<?= $comment['escort']['photo'] ?>" style="width:93px; height:112px; border: 1px solid #b6b6b6;" /><br />
						</a>
						<a href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>" class="viewButton"><?= __('view') ?></a>
					</div>

					<div class="fl com-wr">
						<? if (count($comment['comments']) > 0): ?>
							<? foreach ($comment['comments'] as $escortComment): ?>
								<div class="commentItem">
									<div class="c-h">
										<span class="an date"><?= date("d.m.Y | H:i", strtotime($escortComment->time)); ?></span> 
										<span class="an strong"><?= __('lc_posted_by') ?>:

											<? if (strtolower($escortComment->username) != MODEL_COMMENTS::SITEADMIN_USERNAME): ?>
												<?= $escortComment->username ?>

												<a class="pm" href="#" onclick="return Sceon.PrivateMessagingPopup('<?= "member-" . $escortComment->user_id ?>')">
													<img src='<?= _st('private-messaging/pm_btn_small.png') ?>' />
												</a>

												<?/*<span class="an date">(<?= $escortComment->comments_count ?> <?= __('lc_comments') ?>)</span>*/?>
											<? else: ?>
												<span class="red"><?= $escortComment->username ?></span>
											<? endif; ?>
										</span>
									</div>
									<? if ($escortComment->status == COMMENT_ACTIVE): ?>
										<div class="comment-text"><?= $escortComment->message ?></div>
									<? else: ?>
										<div class="comment-text red"><?= $this->t('comment_remove_note'); ?></div>
									<? endif; ?>
								</div>
							<? endforeach; ?>
						
							<? if (isset($escortComment['showmore'])): ?>
								<a onclick="return Cubix.Comments.LoadEscortLComments({escort_id: '<?= $comment['escort']['escort_id'] ?>', obj: this.parentNode})" href="#" class="an moreComments"><?= __('lc_read_all_my_comments') ?></a>
								<div class="clear"></div>
							<? endif; ?>
						<? endif ?>
					</div>
		            <div class="clear"></div>
				</div>
			</div>
		<? endforeach; ?>

		<div class="clear mb-40"></div>

		<? $pages_count = ceil($this->count / $this->per_page); ?>
		<? if ($pages_count != 1): ?>
			<div class="clear"></div>
			<div class="paging-list">
				<? $pages = $this->paging($this->count , $this->page, $this->per_page, 7, 3); ?>

				<? if (1 < $this->page): ?>
					<a href="#" class="page-number grey" onclick="return Cubix.Comments.LoadLComments({page: <?= $this->page - 1 ?>});"><?= $this->t('previous') ?></a>
				<? endif ?>

				<? foreach ($pages as $page): ?>
					<? if ($this->page == $page): ?>
						<span class="page-number grey active"><?= $page ?></span>
					<? else: ?>
						<a href="#" class="page-number grey" onclick="return Cubix.Comments.LoadLComments({page: <?= $page ?>});"><?= $page ?></a>
					<? endif ?>
				<? endforeach ?>

				<? if ($pages_count > $this->page): ?>
					<a class="btn btn-brown uppercase" href="#" onclick="return Cubix.Comments.LoadLComments({page: <?= $this->page + 1 ?>});"><?= $this->t('next') ?></a>
				<? endif ?>
			</div>
		<? endif; ?>
	<? else: ?>
		<p style="margin-bottom: 0"><?= $this->t('no_comment') ?></p>
	<? endif; ?>
</div>

<?
if ( $seo ) {
	if ( strlen($seo->title) ) {
		$this->headTitle($seo->title, 'PREPEND');
	}

	if ( strlen($seo->keywords) ) {
		$this->headMeta()->appendName('keywords', $seo->keywords);
	}

	if ( strlen($seo->description) ) {
		$this->headMeta()->appendName('description', $seo->description);
	}
}
?>